UnsupportedBackendScheme: scheme not supported in url: scp://<email address hidden>/foo/

Bug #929465 reported by Daniel Hahler on 2012-02-09
20
This bug affects 4 people
Affects Status Importance Assigned to Milestone
Duplicity
High
Unassigned

Bug Description

When using r830 of duplicity (compared to r817) I am getting the following error when starting it via duply:

    UnsupportedBackendScheme: scheme not supported in url: scp://<email address hidden>/foo/

"scp" is still listed in the "--help" output, so there must be something wrong.

I have not investigated yet where this exception comes from, maybe you know how to fix it already.

Related branches

There is a new requirement package, python-paramiko.

We need to correct the README and the package dependencies

Changed in duplicity:
status: New → Confirmed
assignee: nobody → Kenneth Loafman (kenneth-loafman)
milestone: none → 0.6.18
Changed in duplicity:
status: Confirmed → Fix Committed
Changed in duplicity:
assignee: Kenneth Loafman (kenneth-loafman) → nobody
milestone: 0.6.18 → none
status: Fix Committed → Fix Released

Will this be fixed in the current LTS (12.04)?

If they use the latest release, yes. We're on 0.6.21 now. This was fixed
in 0.6.18.

On Mon, May 20, 2013 at 2:27 AM, Eduard Hasenleithner <
<email address hidden>> wrote:

> Will this be fixed in the current LTS (12.04)?
>
> --
> You received this bug notification because you are subscribed to
> Duplicity.
> https://bugs.launchpad.net/bugs/929465
>
> Title:
> UnsupportedBackendScheme: scheme not supported in url:
> scp://<email address hidden>/foo/
>
> Status in Duplicity - Bandwidth Efficient Encrypted Backup:
> Fix Released
>
> Bug description:
> When using r830 of duplicity (compared to r817) I am getting the
> following error when starting it via duply:
>
> UnsupportedBackendScheme: scheme not supported in url:
> scp://<email address hidden>/foo/
>
> "scp" is still listed in the "--help" output, so there must be
> something wrong.
>
> I have not investigated yet where this exception comes from, maybe you
> know how to fix it already.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/duplicity/+bug/929465/+subscriptions
>

What a pity, the dependency is intentionally demoted to "Suggest" in the current LTS:

duplicity (0.6.18-0ubuntu2) precise; urgency=low

  * debian/control:
    - Drop python-paramiko to a Suggests to match the ssh Suggests and
      to keep it off the CD, for space reasons. It isn't needed for
      deja-dup to use ssh anyway, since deja-dup uses GIO for that. So
      no loss of functionality in the desktop.

 -- Michael Terry <email address hidden> Tue, 06 Mar 2012 10:49:42 -0500

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers